> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.videogen.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.videogen.io/_mcp/server.

# Read a project artifact

GET https://api.videogen.io/v1/projects/{projectId}/artifacts/{artifactId}

Read authored workflow settings or the exact video identity. Text offsets use UTF-16 code units. Inspection does not initialize, render or generate content.

Reference: https://docs.videogen.io/rest-api-reference/projects/get-project-artifact

## Authentication

- `Authorization` header (bearer token, required) — API key from [app.videogen.io/api](https://app.videogen.io/api). The full key is only shown once when you create it.

## Request

### Path parameters

- `projectId` (string, required)
- `artifactId` (string, required)

### Query parameters

- `textOffset` (integer, optional, default: 0)
- `textLimit` (integer, optional, default: 16000)
- `itemOffset` (integer, optional)
- `itemLimit` (integer, optional)

## Response

### 200

Current authorized result.

- `projectId` (string, required)
- `artifactId` (string, required)
- `name` (string, required)
- `type` (string, required)
- `artifactRevision` (integer, required)
- `document` (GetProjectArtifactResponseDocument, required)

## Types

### GetProjectArtifactResponseDocument

- GetProjectArtifactResponseDocument0
- GetProjectArtifactResponseDocument1
- GetProjectArtifactResponseDocument2
- GetProjectArtifactResponseDocument3

### GetProjectArtifactResponseDocument0

- `kind` ("WORKFLOW", required)
- `workflowId` (string, required)
- `revision` (integer, required)
- `settings` (GetProjectArtifactResponseDocumentOneOf0Settings, required)

### GetProjectArtifactResponseDocument1

- `kind` ("EDITABLE_VIDEO", required)
- `editableVideoId` (string, required)
- `revision` (integer, required)

### GetProjectArtifactResponseDocument2

- `kind` ("STORAGE_FILE", required)
- `fileId` (string, required)

### GetProjectArtifactResponseDocument3

- `kind` ("ENTITY", required)
- `entityId` (string, required)

### GetProjectArtifactResponseDocumentOneOf0Settings

- `workflowType` (string, required, nullable)
- `generationHistory` (enum, required) — Whether this workflow's generation history is known. Unavailable must not be interpreted as a new, ungenerated draft.
  - Allowed values: `available`, `unavailable`
- `script` (string, required, nullable)
- `scriptTotalCharacters` (integer, required)
- `nextScriptTextOffset` (integer, required, nullable)
- `textOffset` (integer, required)
- `effectiveTextLimit` (integer, required)
- `itemOffset` (integer, required)
- `totalItems` (integer, required)
- `nextItemOffset` (integer, required, nullable)
- `scenes` (list of GetProjectArtifactResponseDocumentOneOf0SettingsScenesItems, required, nullable)
- `slideListMode` (enum, required, nullable)
  - Allowed values: `EXPLICIT`, `SOURCE_PAGES`, `EMPTY`
- `slideshowSourceFileId` (string, required, nullable)
- `slideshowSourcePageCount` (double, required, nullable)
- `slides` (list of GetProjectArtifactResponseDocumentOneOf0SettingsSlidesItems, required, nullable)
- `captionsEnabled` (boolean, required, nullable)
- `musicEnabled` (boolean, required, nullable)
- `voiceSpeed` (double, required, nullable)
- `aspectRatio` (GetProjectArtifactResponseDocumentOneOf0SettingsAspectRatio, required, nullable)
- `imageQuality` (string, required, nullable)
- `videoQuality` (string, required, nullable)
- `slideScripts` (list of string, required, nullable)
- `nextSlideScriptTextOffsets` (list of integer, required, nullable)

### GetProjectArtifactResponseDocumentOneOf0SettingsScenesItems

- `sceneId` (string, required)
- `title` (string, required, nullable)
- `prompt` (string, required, nullable)
- `voiceoverScript` (string, required, nullable)
- `nextTitleTextOffset` (integer, required, nullable)
- `nextPromptTextOffset` (integer, required, nullable)
- `nextVoiceoverTextOffset` (integer, required, nullable)
- `nextStyleTextOffset` (integer, required, nullable)
- `durationSeconds` (double, required, nullable)
- `style` (string, required, nullable)
- `imageFileId` (string, required, nullable)
- `videoFileId` (string, required, nullable)

### GetProjectArtifactResponseDocumentOneOf0SettingsSlidesItems

- `slideId` (string, required)
- `narration` (string, required)
- `nextNarrationTextOffset` (integer, required, nullable)
- `visualType` (enum, required)
  - Allowed values: `PAGE`, `GENERATIVE`
- `pageIndex` (double, required, nullable)
- `hasGenerativeOverlay` (boolean, required)
- `imagePrompt` (string, required, nullable)
- `nextImagePromptTextOffset` (integer, required, nullable)
- `imageFileId` (string, required, nullable)

### GetProjectArtifactResponseDocumentOneOf0SettingsAspectRatio

- `width` (double, required)
- `height` (double, required)

## Examples

**Response**

```json
{
  "projectId": "string",
  "artifactId": "string",
  "name": "string",
  "type": "string",
  "artifactRevision": 1,
  "document": {
    "kind": "string",
    "revision": 1,
    "settings": {
      "aspectRatio": {
        "height": 1.1,
        "width": 1.1
      },
      "captionsEnabled": true,
      "effectiveTextLimit": 1,
      "generationHistory": "available",
      "imageQuality": "string",
      "itemOffset": 1,
      "musicEnabled": true,
      "nextItemOffset": 1,
      "nextScriptTextOffset": 1,
      "nextSlideScriptTextOffsets": [
        1
      ],
      "scenes": [
        {
          "durationSeconds": 1.1,
          "imageFileId": "string",
          "nextPromptTextOffset": 1,
          "nextStyleTextOffset": 1,
          "nextTitleTextOffset": 1,
          "nextVoiceoverTextOffset": 1,
          "prompt": "string",
          "sceneId": "string",
          "style": "string",
          "title": "string",
          "videoFileId": "string",
          "voiceoverScript": "string"
        }
      ],
      "script": "string",
      "scriptTotalCharacters": 1,
      "slideListMode": "EXPLICIT",
      "slideScripts": [
        "string"
      ],
      "slides": [
        {
          "hasGenerativeOverlay": true,
          "imageFileId": "string",
          "imagePrompt": "string",
          "narration": "string",
          "nextImagePromptTextOffset": 1,
          "nextNarrationTextOffset": 1,
          "pageIndex": 1.1,
          "slideId": "string",
          "visualType": "PAGE"
        }
      ],
      "slideshowSourceFileId": "string",
      "slideshowSourcePageCount": 1.1,
      "textOffset": 1,
      "totalItems": 1,
      "videoQuality": "string",
      "voiceSpeed": 1.1,
      "workflowType": "string"
    },
    "workflowId": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.videogen.io/v1/projects/projectId/artifacts/artifactId"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```